﻿using System;
using System.Windows.Forms;
using RDR2;
using RDR2.UI;
using RDR2.Native;
using RDR2.Math;

namespace HCL_Superpower_00
{
    public class Main : Script
    {
        Player player = Game.Player;
        Ped playerPed = Game.Player.Character;

        public Main()
        {
            KeyDown += OnKeyDown;
            KeyUp += OnKeyUp;
            Tick += OnTick;
            Interval = 1;
        }

        private void OnTick(object sender, EventArgs e)
        {
            if (!Function.Call<bool>(Hash.GET_PLAYER_INVINCIBLE, player))
            {
                     Function.Call(Hash.SET_PLAYER_INVINCIBLE, player, true);     
            }
            Function.Call(Hash.RESTORE_PLAYER_STAMINA, player, 1.0);   
        } 

        private void OnKeyDown(object sender, KeyEventArgs e)
        {

        }

        private void OnKeyUp(object sender, KeyEventArgs e)
        {

        }
    }
}
